GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Friends | List of all members
gridfire::expectations::EngineIndexError Struct Reference

`#include <expected_engine.h>`

Inheritance diagram for gridfire::expectations::EngineIndexError:

## Public Member Functions
| EngineIndexError (const int index)
Public Member Functions inherited from gridfire::expectations::EngineError
| EngineError (const std::string &message, const EngineErrorTypes type)
virtual | ~EngineError ()=default

## Public Attributes
int | m_index
Public Attributes inherited from gridfire::expectations::EngineError
std::string | m_message
const EngineErrorTypes | type = EngineErrorTypes::FAILURE

## Friends
std::ostream & | operator<< (std::ostream &os, const EngineIndexError &e)

## Detailed Description

Definition at line 33 of file expected_engine.h.

## Constructor & Destructor Documentation

## ◆ EngineIndexError()

gridfire::expectations::EngineIndexError::EngineIndexError | ( | const int | index | ) |
| inline explicit

Definition at line 36 of file expected_engine.h.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const EngineIndexError & | e )
| friend

Definition at line 38 of file expected_engine.h.

## Member Data Documentation

## ◆ m_index

int gridfire::expectations::EngineIndexError::m_index

Definition at line 34 of file expected_engine.h.

The documentation for this struct was generated from the following file:

- src/include/gridfire/expectations/expected_engine.h